Name:          python-CairoSVG
Version:       2.4.0
Release:       1mamba
Summary:       A Simple SVG Converter for Cairo
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pypi.python.org/pypi/CairoSVG
Source:        https://pypi.debian.net/CairoSVG/CairoSVG-%{version}.tar.gz
#Source:        https://pypi.python.org/packages/source/C/CairoSVG/CairoSVG-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%prep
%setup -q -n CairoSVG-%{version}

%if "%{?with_pyver}"
%pyver_package
%endif

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)

%changelog
* Thu Aug 08 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 2.4.0-1mamba
- update to 2.4.0

* Mon Jun 22 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.9-1mamba
- package created using the webbuild interface
